Skip to main content
PATCH
/
v1
/
event-rules
/
{rule_id}
Update Rule
curl --request PATCH \
  --url https://api.example.com/v1/event-rules/{rule_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "schedule_cron": "<string>",
  "timezone": "<string>",
  "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "output_format": "<string>",
  "filter": {},
  "modifications_template": [
    {}
  ],
  "webhook_url": "<string>",
  "enabled": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "trigger_type": "<string>",
  "schedule_cron": "<string>",
  "timezone": "<string>",
  "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "output_format": "<string>",
  "filter": {},
  "modifications_template": [
    {}
  ],
  "webhook_url": "<string>",
  "enabled": true,
  "last_run_at": "2023-11-07T05:31:56Z",
  "next_run_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Path Parameters

rule_id
string<uuid>
required

Body

application/json
name
string | null
Required string length: 2 - 120
schedule_cron
string | null
Maximum string length: 120
timezone
string | null
Maximum string length: 64
template_id
string<uuid> | null
output_format
string | null
Pattern: ^(png|jpg|mp4)$
filter
Filter · object
modifications_template
Modifications Template · object[] | null
webhook_url
string | null
enabled
boolean | null

Response

Successful Response

id
string<uuid>
required
org_id
string<uuid>
required
name
string
required
trigger_type
string
required
schedule_cron
string | null
required
timezone
string
required
template_id
string<uuid>
required
output_format
string
required
filter
Filter · object
required
modifications_template
Modifications Template · object[]
required
webhook_url
string | null
required
enabled
boolean
required
last_run_at
string<date-time> | null
required
next_run_at
string<date-time> | null
required
created_at
string<date-time>
required